AIDE.WRAPPER(8)

NAME
aide.wrapper - call aide binary for Debian mechanisms

SYNOPSIS
aide.wrapper [options]

DESCRIPTION
aide.wrapper calls the aide binary with --config appropriate for the mechanisms automatically used in the Debian package. To prevent damage to the database, aide.wrapper takes out a lock and will refuse to run a second aide process when there is still another one running. If no --config option explicitly given, aide.wrapper will set --config to /var/lib/aide/aide.conf.autogenerated and invoke update-aide.conf prior to invoking the aide binary.

OPTIONS
aide.wrapper hands down all options down to the aide binary verbatim and only detects the presence of --config to determine whether to call update-aide.conf or not.

FILES

/etc/aide/aide.conf
    AIDE configuration file

/usr/bin/aide
    AIDE binary

/var/run/aide.lock
    Lock file

AUTHOR
This manual page was written by Marc Haber <mh+debian-packages@zugschlus.de> for the Debian GNU/Linux system (but may be used by others).